Package uk.ac.starlink.vo

# Enum Class TapServiceFinder.Target

java.lang.Object
java.lang.Enum<TapServiceFinder.Target>
uk.ac.starlink.vo.TapServiceFinder.Target

All Implemented Interfaces:
  `Serializable`, `Comparable<TapServiceFinder.Target>`, `Constable`

Enclosing interface:
  TapServiceFinder

public static enum TapServiceFinder.Target extends Enum<TapServiceFinder.Target>
Enumerates those metadata items against which search terms can be matched.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SERVICE_META`
Service name.
`TABLE_DESCRIP`
Table description.
`TABLE_NAME`
Table name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the name to be used for identifying this target in the user interface.
`static TapServiceFinder.Target`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TapServiceFinder.Target[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TABLE_NAME

public static final TapServiceFinder.Target TABLE_NAME
Table name.

### TABLE_DESCRIP

public static final TapServiceFinder.Target TABLE_DESCRIP
Table description.

### SERVICE_META

public static final TapServiceFinder.Target SERVICE_META
Service name.

## Method Details

### values

public static TapServiceFinder.Target[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TapServiceFinder.Target valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDisplayName

public String getDisplayName()
Returns the name to be used for identifying this target in the user interface.

Returns:
  display name